aboutsummaryrefslogtreecommitdiff
path: root/network/easyrsa/easyrsa.SlackBuild
diff options
context:
space:
mode:
authorSebastian Arcus <s.arcus@open-t.co.uk>2016-11-09 17:39:20 +0000
committerDavid Spencer <idlemoor@slackbuilds.org>2016-11-11 20:36:22 +0000
commit5adebd16cdf05cc6471f498d4aaac0600655c51c (patch)
treeb87dbac9a26a8ed950aa8047d4b3bf6f2cb67bc8 /network/easyrsa/easyrsa.SlackBuild
parent9beffd8789e903b05d576cc2e7f76ed08f7497be (diff)
network/easyrsa: Added (CLI utility for managing a PKI CA).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'network/easyrsa/easyrsa.SlackBuild')
-rw-r--r--network/easyrsa/easyrsa.SlackBuild64
1 files changed, 64 insertions, 0 deletions
diff --git a/network/easyrsa/easyrsa.SlackBuild b/network/easyrsa/easyrsa.SlackBuild
new file mode 100644
index 0000000000000..62ac1ef656bd1
--- /dev/null
+++ b/network/easyrsa/easyrsa.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+# Slackware build script for EasyRSA
+# Copyright 2016 Sebastian Arcus, United Kingdom
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=easyrsa
+SRCNAM=EasyRSA
+VERSION=${VERSION:-3.0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tgz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/$PRGNAM
+cp -a easyrsa openssl-1.0.cnf vars.example x509-types $PKG/usr/share/$PRGNAM
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING ChangeLog README.quickstart.md gpl-2.0.txt doc/* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}